package com.ruoyi.system.domain.enterprise;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户企业信息对象 sys_user_enterprise
 *
 * @author boman
 * @date 2024-04-22
 */
public class SysUserEnterprise extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 企业id
     */
    private Long enterpriseId;
    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 身份证号码
     */
    @Excel(name = "身份证号码")
    private String idCard;

    /**
     * 真实姓名
     */
    @Excel(name = "真实姓名")
    private String realName;

    /**
     * 统一社会信用代码
     */
    private String creditCode;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /**
     * 企业类型
     */
    @Excel(name = "企业类型")
    private String enterpriseType;

    /**
     * 企业地址
     */
    @Excel(name = "企业地址")
    private String enterpriseAddress;

    /**
     * 法人姓名
     */
    @Excel(name = "法人姓名")
    private String legalName;

    /**
     * 注册资金
     */
    @Excel(name = "注册资金")
    private String registeredCapital;

    /**
     * 成立日期
     */
    @Excel(name = "成立日期")
    private String establishData;

    /**
     * 营业期限
     */
    @Excel(name = "营业期限")
    private String businessTerm;
    /**
     * 经营范围
     */
    @Excel(name = "经营范围")
    private String businessScope;

    /**
     * 营业执照URL
     */
    @Excel(name = "营业执照URL")
    private String imageUrl;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getRealName() {
        return realName;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseType(String enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public String getEnterpriseType() {
        return enterpriseType;
    }

    public void setEnterpriseAddress(String enterpriseAddress) {
        this.enterpriseAddress = enterpriseAddress;
    }

    public String getEnterpriseAddress() {
        return enterpriseAddress;
    }

    public void setLegalName(String legalName) {
        this.legalName = legalName;
    }

    public String getLegalName() {
        return legalName;
    }

    public void setRegisteredCapital(String registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public String getRegisteredCapital() {
        return registeredCapital;
    }

    public void setEstablishData(String establishData) {
        this.establishData = establishData;
    }

    public String getEstablishData() {
        return establishData;
    }

    public void setBusinessTerm(String businessTerm) {
        this.businessTerm = businessTerm;
    }

    public String getBusinessTerm() {
        return businessTerm;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return "SysUserEnterprise{" +
                "enterpriseId=" + enterpriseId +
                ", userId=" + userId +
                ", idCard='" + idCard + '\'' +
                ", realName='" + realName + '\'' +
                ", creditCode='" + creditCode + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", enterpriseType='" + enterpriseType + '\'' +
                ", enterpriseAddress='" + enterpriseAddress + '\'' +
                ", legalName='" + legalName + '\'' +
                ", registeredCapital='" + registeredCapital + '\'' +
                ", establishData='" + establishData + '\'' +
                ", businessTerm='" + businessTerm + '\'' +
                ", businessScope='" + businessScope + '\'' +
                ", imageUrl='" + imageUrl + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
